function love.load()
	nx,ny = 40,30
	local scale = 1/10
	local threshold = 0.5
	blocksize = 20
	local seed = 0

	map = {}
	for i = 1,nx do
		map[i] = {}
	  for j = 1,ny do
	  	local value = love.math.noise(i*scale,j*scale,seed)
	  	if value > threshold then
	  		map[i][j] = 1
	  	else
	  		map[i][j] = 0
	  	end
	  end
	end
end

function love.draw()
	for i = 1,nx do
		for j = 1,ny do
			if map[i][j] == 1 then
				love.graphics.setColor(0,0,255)
			else
			  love.graphics.setColor(0,255,0)
			end
			love.graphics.rectangle('fill',(i-1)*blocksize,(j-1)*blocksize,blocksize-1,blocksize-1)
		end
	end
end
